io.agora.rtc

## Class AgoraVideoMixer

- java.lang.Object
- - io.agora.rtc.AgoraVideoMixer

-     public class AgoraVideoMixer
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `cptr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgoraVideoMixer(long cptr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addImageSource(java.lang.String id, MixerLayoutConfig config, int type)`
    `void` | `addVideoTrack(java.lang.String id, AgoraVideoTrack agora_video_track)`
    `void` | `delStreamLayout(java.lang.String id)`
    `void` | `destroy()`
    `private void` | `ndestroy()`
    `void` | `refresh()`
    `void` | `removeVideoTrack(java.lang.String id, AgoraVideoTrack agora_video_track)`
    `void` | `setBackgroundColor(int width, int height, int fps, int color_argb)`
    `void` | `setBackgroundUrl(int width, int height, int fps, java.lang.String url)`
    `void` | `setRotation(byte rotation)`
    `void` | `setStreamLayout(java.lang.String id, MixerLayoutConfig config)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cptr

          private long cptr

  - ### Constructor Detail

    - #### AgoraVideoMixer

          public AgoraVideoMixer(long cptr)

  - ### Method Detail

    - #### ndestroy

          private void ndestroy()

    - #### destroy

          public void destroy()

    - #### addVideoTrack

          public void addVideoTrack(java.lang.String id,
                                    AgoraVideoTrack agora_video_track)

    - #### removeVideoTrack

          public void removeVideoTrack(java.lang.String id,
                                       AgoraVideoTrack agora_video_track)

    - #### setStreamLayout

          public void setStreamLayout(java.lang.String id,
                                      MixerLayoutConfig config)

    - #### delStreamLayout

          public void delStreamLayout(java.lang.String id)

    - #### addImageSource

          public void addImageSource(java.lang.String id,
                                     MixerLayoutConfig config,
                                     int type)

    - #### refresh

          public void refresh()

    - #### setBackgroundColor

          public void setBackgroundColor(int width,
                                         int height,
                                         int fps,
                                         int color_argb)

    - #### setBackgroundUrl

          public void setBackgroundUrl(int width,
                                       int height,
                                       int fps,
                                       java.lang.String url)

    - #### setRotation

          public void setRotation(byte rotation)